Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_gpio_reg_t Struct Reference
SoC Registers (D2000) | SoC Registers (SE)

GPIO register map. More...

`#include <qm_soc_regs.h>`

## Data Fields
QM_RW uint32_t | gpio_swporta_dr
| Port A Data. More...
QM_RW uint32_t | gpio_swporta_ddr
| Port A Data Direction. More...
QM_RW uint32_t | gpio_inten
| Interrupt Enable. More...
QM_RW uint32_t | gpio_intmask
| Interrupt Mask. More...
QM_RW uint32_t | gpio_inttype_level
| Interrupt Type. More...
QM_RW uint32_t | gpio_int_polarity
| Interrupt Polarity. More...
QM_RW uint32_t | gpio_intstatus
| Interrupt Status. More...
QM_RW uint32_t | gpio_raw_intstatus
| Raw Interrupt Status. More...
QM_RW uint32_t | gpio_debounce
| Debounce Enable. More...
QM_RW uint32_t | gpio_porta_eoi
| Clear Interrupt. More...
QM_RW uint32_t | gpio_ext_porta
| Port A External Port. More...
QM_RW uint32_t | gpio_ls_sync
| Synchronization Level. More...
QM_RW uint32_t | gpio_id_code
| GPIO ID code. More...
QM_RW uint32_t | gpio_int_bothedge
| Interrupt both edge type. More...
QM_RW uint32_t | gpio_ver_id_code
| GPIO Component Version. More...
QM_RW uint32_t | gpio_config_reg2
| GPIO Configuration Register 2. More...
QM_RW uint32_t | gpio_config_reg1
| GPIO Configuration Register 1. More...
QM_RW uint32_t | gpio_swporta_ctl
| Port A Data Source.

## Detailed Description

GPIO register map.

Definition at line 1017 of file qm_soc_regs.h.

## Field Documentation

QM_RW uint32_t qm_gpio_reg_t::gpio_config_reg1

GPIO Configuration Register 1.

Definition at line 1036 of file qm_soc_regs.h.

QM_RW uint32_t qm_gpio_reg_t::gpio_config_reg2

GPIO Configuration Register 2.

Definition at line 1035 of file qm_soc_regs.h.

QM_RW uint32_t qm_gpio_reg_t::gpio_debounce

Debounce Enable.

Definition at line 1027 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), qm_gpio_save_context(), and qm_gpio_set_config().

QM_RW uint32_t qm_gpio_reg_t::gpio_ext_porta

Port A External Port.

Definition at line 1029 of file qm_soc_regs.h.

QM_RW uint32_t qm_gpio_reg_t::gpio_id_code

GPIO ID code.

Definition at line 1032 of file qm_soc_regs.h.

QM_RW uint32_t qm_gpio_reg_t::gpio_int_bothedge

Interrupt both edge type.

Definition at line 1033 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), qm_gpio_save_context(), and qm_gpio_set_config().

QM_RW uint32_t qm_gpio_reg_t::gpio_int_polarity

Interrupt Polarity.

Definition at line 1024 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), qm_gpio_save_context(), and qm_gpio_set_config().

QM_RW uint32_t qm_gpio_reg_t::gpio_inten

Interrupt Enable.

Definition at line 1021 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), qm_gpio_save_context(), and qm_gpio_set_config().

QM_RW uint32_t qm_gpio_reg_t::gpio_intmask

Interrupt Mask.

Definition at line 1022 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), qm_gpio_save_context(), and qm_gpio_set_config().

QM_RW uint32_t qm_gpio_reg_t::gpio_intstatus

Interrupt Status.

Definition at line 1025 of file qm_soc_regs.h.

QM_RW uint32_t qm_gpio_reg_t::gpio_inttype_level

Interrupt Type.

Definition at line 1023 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), qm_gpio_save_context(), and qm_gpio_set_config().

QM_RW uint32_t qm_gpio_reg_t::gpio_ls_sync

Synchronization Level.

Definition at line 1031 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), qm_gpio_save_context(), and qm_gpio_set_config().

QM_RW uint32_t qm_gpio_reg_t::gpio_porta_eoi

Clear Interrupt.

Definition at line 1028 of file qm_soc_regs.h.

QM_RW uint32_t qm_gpio_reg_t::gpio_raw_intstatus

Raw Interrupt Status.

Definition at line 1026 of file qm_soc_regs.h.

QM_RW uint32_t qm_gpio_reg_t::gpio_swporta_ddr

Port A Data Direction.

Definition at line 1019 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), qm_gpio_save_context(), and qm_gpio_set_config().

QM_RW uint32_t qm_gpio_reg_t::gpio_swporta_dr

Port A Data.

Definition at line 1018 of file qm_soc_regs.h.

Referenced by qm_gpio_restore_context(), and qm_gpio_save_context().

QM_RW uint32_t qm_gpio_reg_t::gpio_ver_id_code

GPIO Component Version.

Definition at line 1034 of file qm_soc_regs.h.